SSTAT(1)

NAME
sstat - Display various status information of a running job/step.

SYNOPSIS
sstat [OPTIONS...]

DESCRIPTION

Status information for running jobs invoked with SLURM.

The sstat command displays job status information for your analysis. The sstat command displays information pertaining to CPU, Task, Node, Resident Set Size (RSS) and Virtual Memory (VM). You can tailor the output with the use of the --fields= option to specify the fields to be shown.

For the root user, the sstat command displays job status data for any job running on the system.

For the non-root user, the sstat output is limited to the user's jobs.

Note: the sstat command requires that the jobacct_gather plugin be installed and operational.

-a , --allsteps
    Print all steps for the given job(s) when no step is specified.

-e , --helpformat
    Print a list of fields that can be specified with the '--format' option.

-h , --help
    Displays a general help message.

-j , --jobs
    Format is <job(.step)>. Stat this job step or comma-separated list of job steps. This option is required. The step portion will default to step 0 if not specified, unless the --allsteps flag is set where not specifying a step will result in all running steps to be displayed.

-n , --noheader
    No header will be added to the beginning of output. The default is to print a header.

-o , --format, --fields
    Comma separated list of fields. (use '--helpformat' for a list of available fields).

-p , --parsable
    output will be '|' delimited with a '|' at the end.

-P , --parsable2
    output will be '|' delimited without a '|' at the end

--usage
    Display brief usage message.

-v, --verbose
    Primarily for debugging purposes, report the state of various variables during processing.

-V , --version
    Print version.

  Job Status Fields
The following are the field options:

    AveCPU

    AvePages

    AveRSS

    AveVMSize

    JobID

    MaxPages

    MaxPagesNode

    MaxPagesTask

    MaxRSS

    MaxRSSNode

    MaxRSSTask

    MaxVMSize

    MaxVMSizeNode

    MaxVMSizeTask

    MinCPU

    MinCPUNode

    MinCPUTask

    NTasks

    SystemCPU

    TotalCPU

EXAMPLES

sstat --format=AveCPU,AvePages,AveRSS,AveVSize,JobID -j 11
    25:02.000 0K 1.37M 5.93M 9.0

sstat -p --format=AveCPU,AvePages,AveRSS,AveVSize,JobID -j 11
    25:02.000|0K|1.37M|5.93M|9.0|

COPYING
Copyright (C) 2009 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). CODE-OCEC-09-009. All rights reserved.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
sacct(1)